 module Browser 
  def browser_goto(url)
     if ARGV[0]=='firewatir'
       $browser= Firefox.new
     else
       $browser = Watir::IE.new
    end
    $browser.goto(url)
    puts "gone to #{url}"
    $browser.bring_to_front
    $browser.maximize
    end
 
    def click_log_out
      if $browser.link(:text, /L|log O|out/).exist?  
        $browser.link(:text, /L|log O|out/).click
        puts "clicked log out" 
      end
    end
    
    def wait_to_load
      $browser.wait
      puts "waited for the browser to load"
    end
  
    def browser_close
      $browser.close
      puts "browser has been closed"
    end
    
    def does_the_html_include(target)
      puts "HTML text of #{target} is being verified"
      if target.kind_of? String
        return $browser.text.include?(target)
      elsif target.kind_of? Regexp
        return $browser.text.match(target)
      end
    end
  
    def does_the_link_exist(link_text)
      $browser.link(:text, link_text).exists?
      puts "link of #{link_text} exists"
    end
  end