module Home

    def click_login_link
      click_log_out
      $browser.link(:text, /Login/).click
      puts "clicked log in link" 
    end
    
    def click_log_in_button;
      $browser.button(:id, /submitbut/)
      puts 'clicked login button'
    end
    
    def click_register_link
      click_log_out
      $browser.link(:text, /Register/).click
      puts "clicked register link"  
    end
    
    def enter_search_criteria(search_text)
      $browser.text_field(:id, /Search_txtSearch/).set(search_text)
      puts "entered search criteria of #{search_text}"
    end
      
    def click_search_button
      $browser.button(:id, /Search/).click
      puts "clicked search button" 
    end
      
    def click_rent_now_button
      $browser.link(:id => /bkt_/, :index => 1).click
      puts "clicked rent-now button" 
    end
    
    def enter_username(username)
      if $browser.text_field(:id, /username/).exists?
         $browser.text_field(:id, /username/).set(username)
         puts "entered username of: #{username}"
      end
    end
    
    def enter_password(password)
      if $browser.text_field(:id, /password/).exists?
        $browser.text_field(:id, /password/).set(password)
        puts "entered password of: #{password}" 
      end
    end

  end
